Unicat API Reference

Up - API Reference - Home


/api/p/<project gid>/assets/metadata/clear

Requires JWT

Remove a metadata field from an asset.

If the metadata field name wasn't set on this asset, the asset is returned unchanged.

Request

POST /api/p/<project gid>/assets/metadata/clear
Authorization: Bearer <JWT>

{
    "asset": "<asset gid>",
    "name": "group.code",
}

asset gid of the asset to remove the metadata field from
name name for the metadata field

Success response

Authorization: <JWT>

{
    "success": true,
    "result": {
        "asset": "<asset gid>"
    },
    "data": {
        "assets": {
            "<asset gid>": {}
        }
    }
}

result

asset the asset without the metadata field.

data

assets Asset info with hierarchy, type, name, metadata.

Error responses

400 Bad request - missing parameters or wrong type or value
401 Unauthorized - missing or expired JWT
403 Forbidden - not a member of this project
422 Unprocessable entity - can't work with this item